As this project serves a specific purpose, we have very strict guidelines for contributing.

Any code you contribute must fit under the following rules:

- It must be licensed under the [CNPL+](https://git.pixie.town/thufie/CNPL) License.
- It must be easy to understand, and as simple as possible, i.e don't just write immensely complex constructs just because you wanna show off how you've spent 20 years of your life doing nothing but writing x86 assembly.
- We also encourage re-writing userspace tools to be more easily understandable and modified, and in a language like Rust or Go so it can be more broadly understood.
- Programs should not be unnecessarily large/bloated, and should only do what they need to do to keep them accesible and keep disk size down.
- That said, programs should also not be too minimal, and should provide enough functionality that the average user will be content using it.
- Programs should be accessible for users, and should be mindful of different users needs, e.g:
	- Vision needs, so being easy to have a screenreader use, ability to change fonts, colours, text size, layout, etc.
	- Motor needs, so being able to rebind keys, ability to use just keyboard or mouse, etc.
	- Anything else you might be able to think of
- You cannot be a landlord, CEO, fascist, authoritarian, or bigot.
- You cannot use blockchain technology unless necessary, some examples of approved use are: buying hrt or other necessary items, recieving payment for sex-work, etc.
- It needs to be gay. What that means is up to you to decide :3
